<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\TextColumn;

class PublishDateTextColumn extends TextColumn
{
    public static function create(): static
    {
        return parent::make('publish_date')
            ->label('تاریخ انتشار')
            ->sortable()
            ->jalaliDate()
            ->toggleable()
            ->toggledHiddenByDefault();
    }
}
